## cascading.flow
Class Scope

    java.lang.Object
      cascading.flow.Scope

All Implemented Interfaces:
  Serializable

    public class Scope

extends Object
implements Serializable

Class Scope is an internal representation of the linkages between operations.

See Also:
  Serialized Form

Nested Class Summary
`static class` `Scope.Kind` Enum Kind

Constructor Summary
`Scope()` Default constructor.
`Scope(Fields outFields)` Tap constructor
`Scope(Scope scope)` Copy constructor
`Scope(String name)` Constructor Scope creates a new Scope instance.
`Scope(String name, Fields declaredFields, Fields outGroupingFields, Map<String,Fields> groupingSelectors, Map<String,Fields> sortingSelectors, Fields outValuesFields, boolean isGroupBy)` Constructor Scope creates a new Scope instance.
`Scope(String name, Scope.Kind kind, Fields remainderFields, Fields argumentFields, Fields declaredFields, Fields outGroupingFields, Fields outValuesFields)` Constructor Scope creates a new Scope instance.

Method Summary
`void` `copyFields(Scope scope)` Method copyFields copies the given Scope instance fields to this instance.
`Fields` `getArgumentFields()` Method getArgumentSelector returns the argumentSelector of this Scope object.
`Fields` `getArguments()` Method getArguments returns the arguments of this Scope object.
`TupleEntry` `getArgumentsEntry()` Method getArgumentsEntry returns the argumentsEntry of this Scope object.
`TupleEntry` `getArgumentsEntry(TupleEntry input)` Method getArgumentsEntry returns a cached `TupleEntry` for the declared arguments of this scope.
`TupleEntry` `getDeclaredEntry()` Method getDeclaredEntry returns the declaredEntry of this Scope object.
`Fields` `getDeclaredFields()` Method getDeclaredFields returns the declaredFields of this Scope object.
`Map<String,Fields>` `getGroupingSelectors()` Method getGroupingSelectors returns the groupingSelectors of this Scope object.
`String` `getName()` Method getName returns the name of this Scope object.
`Fields` `getOutGroupingFields()` Method getOutGroupingFields returns the outGroupingFields of this Scope object.
`Fields` `getOutGroupingSelector()` Method getOutGroupingSelector returns the outGroupingSelector of this Scope object.
`Fields` `getOutValuesFields()` Method getOutValuesFields returns the outValuesFields of this Scope object.
`Fields` `getOutValuesSelector()` Method getOutValuesSelector returns the outValuesSelector of this Scope object.
`Fields` `getRemainderFields()` Method getRemainderFields returns the remainderFields of this Scope object.
`Map<String,Fields>` `getSortingSelectors()` Method getSortingSelectors returns the sortingSelectors of this Scope object.
`boolean` `isEach()` Method isEach returns true if this Scope object represents an Each.
`boolean` `isEvery()` Method isEvery returns true if this Scope object represents an Every.
`boolean` `isGroup()` Method isGroup returns true if this Scope object represents a Group.
`boolean` `isTap()` Method isTap returns true if this Scope object represents a Tap.
`void` `setName(String name)` Method setName sets the name of this Scope object.
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Scope

    public Scope()

  Default constructor.

### Scope

    public Scope(Scope scope)

  Copy constructor

  Parameters:
    `scope` - of type Scope

### Scope

    public Scope(Fields outFields)

  Tap constructor

  Parameters:
    `outFields` - of type Fields

### Scope

    public Scope(String name,
                 Scope.Kind kind,
                 Fields remainderFields,
                 Fields argumentFields,
                 Fields declaredFields,
                 Fields outGroupingFields,
                 Fields outValuesFields)

  Constructor Scope creates a new Scope instance. Used by classes Each and Every.

  Parameters:
    `name` - of type String
    `kind` - of type Kind
    `remainderFields` - of type Fields
    `argumentFields` - of type Fields
    `declaredFields` - of type Fields
    `outGroupingFields` - of type Fields
    `outValuesFields` - of type Fields

### Scope

    public Scope(String name,
                 Fields declaredFields,
                 Fields outGroupingFields,
                 Map<String,Fields> groupingSelectors,
                 Map<String,Fields> sortingSelectors,
                 Fields outValuesFields,
                 boolean isGroupBy)

  Constructor Scope creates a new Scope instance. Used by the Group class.

  Parameters:
    `name` - of type String
    `declaredFields` - of type Fields
    `outGroupingFields` - of type Fields
    `groupingSelectors` - of type Map<String, Fields>
    `sortingSelectors` - of type Fields
    `outValuesFields` - of type Fields
    `isGroupBy` - of type boolean

### Scope

    public Scope(String name)

  Constructor Scope creates a new Scope instance.

  Parameters:
    `name` - of type String

Method Detail

### isGroup

    public boolean isGroup()

  Method isGroup returns true if this Scope object represents a Group.

  Returns:
    the group (type boolean) of this Scope object.

### isEach

    public boolean isEach()

  Method isEach returns true if this Scope object represents an Each.

  Returns:
    the each (type boolean) of this Scope object.

### isEvery

    public boolean isEvery()

  Method isEvery returns true if this Scope object represents an Every.

  Returns:
    the every (type boolean) of this Scope object.

### isTap

    public boolean isTap()

  Method isTap returns true if this Scope object represents a Tap.

  Returns:
    the tap (type boolean) of this Scope object.

### getName

    public String getName()

  Method getName returns the name of this Scope object.

  Returns:
    the name (type String) of this Scope object.

### setName

    public void setName(String name)

  Method setName sets the name of this Scope object.

  Parameters:
    `name` - the name of this Scope object.

### getRemainderFields

    public Fields getRemainderFields()

  Method getRemainderFields returns the remainderFields of this Scope object.

  Returns:
    the remainderFields (type Fields) of this Scope object.

### getArgumentFields

    public Fields getArgumentFields()

  Method getArgumentSelector returns the argumentSelector of this Scope object.

  Returns:
    the argumentSelector (type Fields) of this Scope object.

### getArguments

    public Fields getArguments()

  Method getArguments returns the arguments of this Scope object.

  Returns:
    the arguments (type Fields) of this Scope object.

### getArgumentsEntry

    public TupleEntry getArgumentsEntry()

  Method getArgumentsEntry returns the argumentsEntry of this Scope object.

  Returns:
    the argumentsEntry (type TupleEntry) of this Scope object.

### getArgumentsEntry

    public TupleEntry getArgumentsEntry(TupleEntry input)

  Method getArgumentsEntry returns a cached `TupleEntry` for the declared arguments of this scope.

  Parameters:
    `input` - of type TupleEntry
  Returns:
    TupleEntry

### getDeclaredFields

    public Fields getDeclaredFields()

  Method getDeclaredFields returns the declaredFields of this Scope object.

  Returns:
    the declaredFields (type Fields) of this Scope object.

### getDeclaredEntry

    public TupleEntry getDeclaredEntry()

  Method getDeclaredEntry returns the declaredEntry of this Scope object.

  Returns:
    the declaredEntry (type TupleEntry) of this Scope object.

### getGroupingSelectors

    public Map<String,Fields> getGroupingSelectors()

  Method getGroupingSelectors returns the groupingSelectors of this Scope object.

  Returns:
    the groupingSelectors (type Map<String, Fields>) of this Scope object.

### getSortingSelectors

    public Map<String,Fields> getSortingSelectors()

  Method getSortingSelectors returns the sortingSelectors of this Scope object.

  Returns:
    the sortingSelectors (type Map<String, Fields>) of this Scope object.

### getOutGroupingSelector

    public Fields getOutGroupingSelector()

  Method getOutGroupingSelector returns the outGroupingSelector of this Scope object.

  Returns:
    the outGroupingSelector (type Fields) of this Scope object.

### getOutGroupingFields

    public Fields getOutGroupingFields()

  Method getOutGroupingFields returns the outGroupingFields of this Scope object.

  Returns:
    the outGroupingFields (type Fields) of this Scope object.

### getOutValuesSelector

    public Fields getOutValuesSelector()

  Method getOutValuesSelector returns the outValuesSelector of this Scope object.

  Returns:
    the outValuesSelector (type Fields) of this Scope object.

### getOutValuesFields

    public Fields getOutValuesFields()

  Method getOutValuesFields returns the outValuesFields of this Scope object.

  Returns:
    the outValuesFields (type Fields) of this Scope object.

### copyFields

    public void copyFields(Scope scope)

  Method copyFields copies the given Scope instance fields to this instance.

  Parameters:
    `scope` - of type Scope

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Copyright © 2007-2010 Concurrent, Inc. All Rights Reserved.